<?php
/**
 * @file
 * The down payment ID views field handler.
 *
 * @see uc_downpayment_views_handlers()
 */
class uc_downpayment_handler_field_dpid extends views_handler_field {
  /**
   * Constructs views handler.
   */
  public function construct() {
    parent::construct();
    $this->additional_fields['dpid'] = 'dpid';
  }

  /**
   * Modifies views query.
   */
  public function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }

  /**
   * Renders views handler output.
   */
  public function render($values) {
    return $values->{$this->aliases['dpid']};
  }
}